export declare const Level: {
    DEBUG: number;
    VERBOSE: number;
    LOG: number;
    WARN: number;
    ERROR: number;
    FATAL: number;
};
declare class Logger {
    private level;
    setLevel(level: number): void;
    log(msg?: any, ...optionalParams: any[]): void;
    verbose(msg?: any, ...optionalParams: any[]): void;
    warn(msg?: any, ...optionalParams: any[]): void;
    error(msg?: any, ...optionalParams: any[]): void;
    fatal(msg?: any, ...optionalParams: any[]): void;
    private static _getLogFn;
}
declare const _default: Logger;
export default _default;
